Conflito de arquivos/pacotes [RESOLVIDO]

1. Conflito de arquivos/pacotes [RESOLVIDO]

Bruno
intsdvd

(usa Debian)

Enviado em 27/12/2016 - 09:32h

Estou tentando atualizar o Fedora 25, mas parece que tem uma incompatibilidade entre arquivos/pacotes. Alguém teria uma sugestão de como resolver? Eu lanço o comando "dnf update" e, ao final aparece o seguinte:

(188/189): xen-licenses-4.7.1-6.fc25.x86_64.rpm  20 kB/s | 107 kB     00:05    
(189/189): gcc-6.3.1-1.fc25.x86_64.rpm 679 kB/s | 20 MB 00:30
[DRPM] glibc-2.24-3.fc25_2.24-4.fc25.x86_64.drpm: Concluído
[DRPM] glibc-langpack-en-2.24-3.fc25_2.24-4.fc25.x86_64.drpm: Concluído
[DRPM] libphodav-2.0-6.fc24_2.1-1.fc25.x86_64.drpm: Concluído
[DRPM] libstdc++-6.2.1-2.fc25_6.3.1-1.fc25.x86_64.drpm: Concluído
/usr/lib64/fs/iso9660/fsimage.so: read error
(tried to read 2340 bytes from offset 9060)
cannot reconstruct rpm from disk files
[DRPM] ibus-qt-1.3.3-11.fc25_1.3.3-12.fc25.x86_64.drpm: Concluído
/var/cache/dnf/updates-87ad44ec2dc11249/packages/libwebp-0.5.1-1.fc25_0.5.2-1.fc25.x86_64.drpm: md5 mismatch of result
xen-libs-4.7.1-6.fc25.x86_64: Falha ao recompilar Delta RPM
libcurl-7.51.0-4.fc25.x86_64: Falha ao recompilar Delta RPM
libwebp-0.5.2-1.fc25.x86_64: Falha ao recompilar Delta RPM
(1/3): libcurl-7.51.0-4.fc25.x86_64.rpm 344 kB/s | 267 kB 00:00
(2/3): libwebp-0.5.2-1.fc25.x86_64.rpm 307 kB/s | 244 kB 00:00
(3/3): xen-libs-4.7.1-6.fc25.x86_64.rpm 679 kB/s | 634 kB 00:00
--------------------------------------------------------------------------------
Total 708 kB/s | 40 MB 00:57
Delta RPMs reduziu 264.6 MB de atualizações para 259.9 MB (1.1% salvos)
Executando verificação da transação
Verificação de transação completa.
Executando teste de transação
Os pacotes baixados foram salvos no cache até a próxima transação bem sucedida.
Você pode remover os pacotes em cache executando 'dnf clean packages'.
Error: Transaction check error:
o arquivo /usr/share/man/man1/gcore.1.gz da instalação de gdb-7.12-29.fc25.x86_64 conflita com o arquivo do pacote gdb-headless-7.12-24.fc25.x86_64

Error Summary
-------------


E se eu lanço o comando "dnf upgrade" em seguida aparace ao final:

[SKIPPED] xorg-x11-server-common-1.19.0-2.fc25.x86_64.rpm: Already downloaded  
[SKIPPED] xorg-x11-server-Xwayland-1.19.0-2.fc25.x86_64.rpm: Already downloaded
[SKIPPED] xorg-x11-xinit-1.3.4-13.fc25.x86_64.rpm: Already downloaded
Executando verificação da transação
Verificação de transação completa.
Executando teste de transação
Os pacotes baixados foram salvos no cache até a próxima transação bem sucedida.
Você pode remover os pacotes em cache executando 'dnf clean packages'.
Error: Transaction check error:
o arquivo /usr/share/man/man1/gcore.1.gz da instalação de gdb-7.12-29.fc25.x86_64 conflita com o arquivo do pacote gdb-headless-7.12-24.fc25.x86_64

Error Summary
-------------






  


2. Re: Conflito de arquivos/pacotes

Patrick
Patrick03

(usa Manjaro Linux)

Enviado em 27/12/2016 - 13:01h

Bem aqui nesta parte do erro diz o que tu tem que fazer:
Os pacotes baixados foram salvos no cache até a próxima transação bem sucedida.
Você pode remover os pacotes em cache executando 'dnf clean packages'.


Creio que por tu ainda não ter removido certos pacotes, mais precisamente o gbd, ele está causando conflitos na atualização do sistema por causa de algum outro(s) pacote(s).

Use este comando:
dnf clean packages


---------------------------------------
Corrija-me quando necessário!
https://bartoi.blogspot.com.br/
---------------------------------------



3. Re: Conflito de arquivos/pacotes [RESOLVIDO]

Bruno
intsdvd

(usa Debian)

Enviado em 27/12/2016 - 18:17h

Olá patrick03

Fiz o que você sugeriu e, logo no início, após lançar o comando aparece:

[root@localhost bruno]# dnf clean packages
327 files removed





Também, após o "dnf clean packages" tentei novamente o "dfn update"


[root@localhost bruno]# dnf update
Fedora 25 - x86_64 - Updates 1.1 MB/s | 14 MB 00:11
Failed to synchronize cache for repo 'spot-chromium', desativando.
Última verificação de data de vencimento de metadados: 0:00:04 atrás em Tue Dec 27 18:05:43 2016.
Dependências resolvidas.


O que seria "Failed to synchronize cache for repo 'spot-chromium', desativando" ?

Apareceu também:

(82/189): shotwell-0.24.1-1.fc25_0.24.3-1.fc25. 275 kB/s | 1.5 MB     00:05    
[DRPM] openconnect-7.07-2.fc25_7.08-1.fc25.x86_64.drpm: Concluído
[DRPM] perl-Storable-2.56-366.fc25_2.56-367.fc25.x86_64.drpm: Concluído
/usr/lib64/libperl.so.5.24.0: read error ] 547 kB/s | 22 MB 04:49 ETA
(tried to read 1668 bytes from offset 2047700)
cannot reconstruct rpm from disk files
/usr/lib64/perl5/Config_heavy.pl: read error ] 561 kB/s | 22 MB 04:41 ETA
(tried to read 2593 bytes from offset 49020)
cannot reconstruct rpm from disk files
cannot reconstruct rpm from disk files
(83/189): qt5-qtwebkit-5.7.0-2.fc25_5.7.1-2.fc2 210 kB/s | 2.6 MB 00:12
[DRPM] orca-3.22.1-1.fc25_3.22.2-1.fc25.noarch.drpm: Concluído
[DRPM] python3-speechd-0.8.5-1.fc25_0.8.6-1.fc25.x86_64.drpm: Concluído
[MIRROR] kernel-modules-extra-4.8.15-300.fc25.x86_64.rpm: Curl error (18): Transferred a partial file for http://fedora.c3sl.ufpr.br/linux/updates/25/x86_64/k/kernel-modules-extra-4.8.15-300.fc25.x86_64.rpm [transfer closed with 372965 bytes remaining to read]
[MIRROR] kernel-modules-4.8.15-300.fc25.x86_64.rpm: Curl error (18): Transferred a partial file for http://fedora.c3sl.ufpr.br/linux/updates/25/x86_64/k/kernel-modules-4.8.15-300.fc25.x86_64.rpm [transfer closed with 18415135 bytes remaining to read]
(84/189): kernel-modules-extra-4.8.15-300.fc25. 27 kB/s | 2.2 MB 01:21
[MIRROR] rpmfusion-free-appstream-data-25-3.fc25.noarch.rpm: Curl error (7): Couldn't connect to server for http://mirror.epn.edu.ec/rpmfusion/free/fedora/releases/25/Everything/x86_64/os/Packages/r/rpmfusion... [Failed to connect to mirror.epn.edu.ec port 80: Connection refused]



(177/189): qt5-qtbase-common-5.7.1-9.fc25.noarc 439 kB/s |  31 kB     00:00    
[MIRROR] rpmfusion-free-release-25-2.noarch.rpm: Curl error (7): Couldn't connect to server for http://mirror.epn.edu.ec/rpmfusion/free/fedora/updates/25/x86_64/r/rpmfusion-free-release-25-2.noarc... [Failed to connect to mirror.epn.edu.ec port 80: Connection refused]
(178/189): rpmfusion-free-release-25-2.noarch.r 2.5 kB/s | 23 kB 00:09
[MIRROR] rpmfusion-nonfree-release-25-2.noarch.rpm: Curl error (7): Couldn't connect to server for http://mirror.epn.edu.ec/rpmfusion/nonfree/fedora/updates/25/x86_64/r/rpmfusion-nonfree-release-25-2... [Failed to connect to mirror.epn.edu.ec port 80: Connection refused]


Além destes, também apareceram outros erros e, ao final apareceu novamente:

Total                                           453 kB/s | 214 MB     08:04     
Delta RPMs reduziu 264.6 MB de atualizações para 214.4 MB (18.1% salvos)
Executando verificação da transação
Verificação de transação completa.
Executando teste de transação
Os pacotes baixados foram salvos no cache até a próxima transação bem sucedida.
Você pode remover os pacotes em cache executando 'dnf clean packages'.
Error: Transaction check error:
o arquivo /usr/share/man/man1/gcore.1.gz da instalação de gdb-7.12-29.fc25.x86_64 conflita com o arquivo do pacote gdb-headless-7.12-24.fc25.x86_64

Error Summary
-------------



4. Re: Conflito de arquivos/pacotes [RESOLVIDO]

Patrick
Patrick03

(usa Manjaro Linux)

Enviado em 27/12/2016 - 18:38h

Com toda certeza esses erros foram causados por você ao tentar instalar algum aplicativo foram dos repositórios do Fedora. Me mande a saída deste comando:

ls /etc/yum.repos.d

* Ele lista os respositórios que estão sendo usados no momento.

Este erro aqui:
Failed to synchronize cache for repo 'spot-chromium', desativando.


Diz que houve um erro de sicronia com o repositório 'spot-chromium'. Está tentando instalar o Chromium, não?
É bem ruim e não recomendo instalar programas que não estejam no repositório oficial.


---------------------------------------
Corrija-me quando necessário!
https://bartoi.blogspot.com.br/
---------------------------------------



5. Re: Conflito de arquivos/pacotes [RESOLVIDO]

Bruno
intsdvd

(usa Debian)

Enviado em 28/12/2016 - 08:25h

Patrick03, o resutlado foi:

[bruno@localhost ~]$ ls /etc/yum.repos.d
adobe-linux-x86_64.repo rpmfusion-free-rawhide.repo
_copr_spot-chromium.repo rpmfusion-free.repo
fedora-cisco-openh264.repo rpmfusion-free-updates.repo
fedora.repo rpmfusion-free-updates-testing.repo
fedora-steam.repo rpmfusion-nonfree-rawhide.repo
fedora-updates.repo rpmfusion-nonfree.repo
fedora-updates-testing.repo rpmfusion-nonfree-updates.repo
google-chrome.repo rpmfusion-nonfree-updates-testing.repo
opera.repo
[bruno@localhost ~]$


Realmente tentei instalar o chrome seguindo algum tutorial. Teria como mantê-lo sem conflitos ou terei que retirá-lo? Neste caso, qual o melhor caminho?

vlw


6. Re: Conflito de arquivos/pacotes

Guilherme Machado
ohomemborracha

(usa Fedora)

Enviado em 28/12/2016 - 09:14h

Instale o Google Chrome pelo modo oficial;

chrome.google.com

Remova estes repositórios;

rpmfusion-free-rawhide.repo
rpmfusion-nonfree-rawhide.repo

Eles equivalem ao Fedora 26 e você não precisa deles para nada.




Fedora 25
https://getfedora.org/
----------------------------
KDE Plasma 5.8.4
Linux 4.8.15-300.fc25



7. Re: Conflito de arquivos/pacotes [RESOLVIDO]

Bruno
intsdvd

(usa Debian)

Enviado em 30/12/2016 - 10:29h

Valeu ohomemborracha!

Deu certo!


8. Conflito pacotes filesystem/chkconfig

FREDERICO NOGUEIRA
dericonogueira

(usa Fedora)

Enviado em 19/05/2017 - 20:01h

Olá pessoal.

Sei que ja faz algum tempo que esse tópico foi solucionado, mas gostaria de aproveitá-lo para apresentar meu problema.

Estou tentando instalar um programa (Kerio VPN Client) que no site oficial está disponível apenas para Debian. No entanto utilizo o Fedora 24. Por esse motivo alterei o pacote de instalação utilizando o comando alien, para transformá-lo de .deb para .rpm.
Np entanto ao tentar instalar, apresenta um conflito com outuros pacotes (importante, creio eu).

[root@FredNogueira Downloads]# rm -rf *.rpm
[root@FredNogueira Downloads]#
[root@FredNogueira Downloads]#
[root@FredNogueira Downloads]#
[root@FredNogueira Downloads]# ls -l
total 5616
-rw-rw-r--. 1 fnogueira fnogueira 2780662 Mai 19 19:04 kerio-control-vpnclient-9.2.2-2172-linux-amd64.deb
-rw-rw-r--. 1 fnogueira fnogueira 2960854 Mai 19 19:04 kerio-control-vpnclient-9.2.2-2172-linux.deb
[root@FredNogueira Downloads]# alien -r --scripts kerio-control-vpnclient-9.2.2-2172-linux-amd64.deb
kerio-control-vpnclient-9.2.2.2172-2.x86_64.rpm generated
[root@FredNogueira Downloads]# ls -l
total 8592
-rw-r--r--. 1 root root 3045058 Mai 19 19:58 kerio-control-vpnclient-9.2.2.2172-2.x86_64.rpm
-rw-rw-r--. 1 fnogueira fnogueira 2780662 Mai 19 19:04 kerio-control-vpnclient-9.2.2-2172-linux-amd64.deb
-rw-rw-r--. 1 fnogueira fnogueira 2960854 Mai 19 19:04 kerio-control-vpnclient-9.2.2-2172-linux.deb
[root@FredNogueira Downloads]# yum install kerio-control-vpnclient-9.2.2.2172-2.x86_64.rpm
Redirecting to '/usr/bin/dnf install kerio-control-vpnclient-9.2.2.2172-2.x86_64.rpm' (see 'man yum2dnf')

Última verificação de data de vencimento de metadados: 0:59:26 atrás em Fri May 19 19:00:11 2017.
Dependências resolvidas.
======================================================================================================================================================
Package Arq. Versão Repo Tam.
======================================================================================================================================================
Instalando:
kerio-control-vpnclient x86_64 9.2.2.2172-2 @commandline 2.9 M

Resumo da transação
======================================================================================================================================================
Instalar 1 Pacote

Tamanho total: 2.9 M
Tamanho depois de instalado: 7.8 M
Correto? [s/N]: s
Baixando pacotes:
Executando verificação da transação
Verificação de transação completa.
Executando teste de transação
Error: Transaction check error:
o arquivo / da instalação de kerio-control-vpnclient-9.2.2.2172-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-37.fc24.x86_64
o arquivo /usr/lib da instalação de kerio-control-vpnclient-9.2.2.2172-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-37.fc24.x86_64
o arquivo /usr/sbin da instalação de kerio-control-vpnclient-9.2.2.2172-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-37.fc24.x86_64
o arquivo /etc/init.d da instalação de kerio-control-vpnclient-9.2.2.2172-2.x86_64 conflita com o arquivo do pacote chkconfig-1.8-1.fc24.x86_64

Error Summary


Obrigado a ajuda =)






Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts